-
    headers: 'User-Agent: Opera/9.80 (J2ME/MIDP; Opera Mini; U; xx) Presto/2.12.423 Version/11.10'
    result: { browser: { name: 'Opera Mini', type: browser }, engine: { name: Presto, version: 2.12.423 }, device: { type: mobile, subtype: feature } }
    readable: 'Opera Mini'
-
    headers: 'User-Agent: Opera/9.80 (X11; Linux zbov; U; xx) Presto/2.9.201 Version/11.50'
    result: { browser: { name: 'Opera Mobile', version: '11.50', type: browser }, engine: { name: Presto, version: 2.9.201 }, device: { type: mobile, subtype: feature } }
    readable: 'Opera Mobile 11.50'
-
    headers: 'User-Agent: Opera/9.80 (X11; Linux zvav; U; xx) Presto/2.12.423 Version/11.10'
    result: { browser: { name: 'Opera Mini', type: browser }, engine: { name: Presto, version: 2.12.423 }, device: { type: mobile, subtype: feature } }
    readable: 'Opera Mini'
-
    headers: 'User-Agent: Opera/9.80 (X11; Linux zvav; U; xx) Presto/2.8.119 Version/10.54'
    result: { browser: { name: 'Opera Mini', type: browser }, engine: { name: Presto, version: 2.8.119 }, device: { type: mobile, subtype: feature } }
    readable: 'Opera Mini'
-
    headers: 'User-Agent: SAMSUNG-GT-C3322i Opera/9.80 (X11; Linux zvav; U; xx) Presto/2.8.119 Version/11.10'
    result: { browser: { name: 'Opera Mini', type: browser }, engine: { name: Presto, version: 2.8.119 }, device: { type: mobile, subtype: feature, manufacturer: Samsung, model: GT-C3322i } }
    readable: 'Opera Mini on a Samsung GT-C3322i'
-
    headers: 'User-Agent: SAMSUNG-GT-S5611 Opera/9.80 (X11; Linux zvav; U; xx) Presto/2.8.119 Version/11.10'
    result: { browser: { name: 'Opera Mini', type: browser }, engine: { name: Presto, version: 2.8.119 }, device: { type: mobile, subtype: feature, manufacturer: Samsung, model: GT-S5611 } }
    readable: 'Opera Mini on a Samsung GT-S5611'
-
    headers: { User-Agent: 'Opera/9.80 (BlackBerry; Opera Mini/8.0.35659/35.6497; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'RIM # BlackBerry 8520' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: 'BlackBerry OS' }, device: { type: mobile, subtype: smart, manufacturer: RIM, model: 'BlackBerry Curve 8520' } }
    readable: 'Opera Mini 8.0 on a RIM BlackBerry Curve 8520 running BlackBerry OS'
-
    headers: { User-Agent: 'Opera/9.80 (J2ME/MIDP; Opera Mini/8.0.35626/35.6368; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'Samsung # GT-S8500' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: Bada }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: Wave } }
    readable: 'Opera Mini 8.0 on a Samsung Wave running Bada'
-
    headers: { User-Agent: 'Opera/9.80 (J2ME/MIDP; Opera Mini/8.0.35626/35.6368; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'Samsung # GT-i8000' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: 'Windows Mobile' }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'I8000 Omnia II' } }
    readable: 'Opera Mini 8.0 on a Samsung I8000 Omnia II running Windows Mobile'
-
    headers: { User-Agent: 'Opera/9.80 (J2ME/MIDP; Opera Mini/8.0.35659/35.6497; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'RIM # BlackBerry 8520' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: 'BlackBerry OS' }, device: { type: mobile, subtype: smart, manufacturer: RIM, model: 'BlackBerry Curve 8520' } }
    readable: 'Opera Mini 8.0 on a RIM BlackBerry Curve 8520 running BlackBerry OS'
-
    headers: { User-Agent: 'Opera/9.80 (BlackBerry; Opera Mini/8.0.35659/35.6497; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'RIM # BlackBerry 8520', X-OperaMini-Phone-UA: 'BlackBerry8520/5.0.0.681 Profile/MIDP-2.1 Configuration/CLDC-1.1 VendorID/613' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: 'BlackBerry OS', version: '5.0' }, device: { type: mobile, subtype: smart, manufacturer: RIM, model: 'BlackBerry Curve 8520' } }
    readable: 'Opera Mini 8.0 on a RIM BlackBerry Curve 8520 running BlackBerry OS 5.0'
-
    headers: { User-Agent: 'Opera/9.80 (BlackBerry; Opera Mini/8.0.35667/35.6680; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'RIM # BlackBerry 8900', X-OperaMini-Phone-UA: 'BlackBerry8900/5.0.0.1113 Profile/MIDP-2.1 Configuration/CLDC-1.1 VendorID/100' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: 'BlackBerry OS', version: '5.0' }, device: { type: mobile, subtype: smart, manufacturer: RIM, model: 'BlackBerry Curve 8900' } }
    readable: 'Opera Mini 8.0 on a RIM BlackBerry Curve 8900 running BlackBerry OS 5.0'
-
    headers: { User-Agent: 'Opera/9.80 (J2ME/MIDP; Opera Mini/8.0.35626/35.6368; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'Samsung # GT-i8000', X-OperaMini-Phone-UA: 'SAMSUNG-GT-i8000/1.0 (Windows CE; Opera Mobi; U; en) Opera 9.5 UNTRUSTED/1.0' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: 'Windows Mobile' }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'I8000 Omnia II' } }
    readable: 'Opera Mini 8.0 on a Samsung I8000 Omnia II running Windows Mobile'
-
    headers: { User-Agent: 'Opera/9.80 (J2ME/MIDP; Opera Mini/8.0.35626/35.7382; U; xx) Presto/2.8.119 Version/11.10', X-Operamini-Phone-Ua: 'Mozilla/5.0 (SAMSUNG; SAMSUNG-GT-S5380D/S5380DZHLB1; U; Bada/2.0; zh-cn) AppleWebKit/534.20 (KHTML, like Gecko) Dolfin/3.0 Mobile HVGA SMM-MMS/1.2.0 OPN-B', Device-Stock-Ua: 'Mozilla/5.0 (SAMSUNG; SAMSUNG-GT-S5380D/S5380DZHLB1; U; Bada/2.0; zh-cn) AppleWebKit/534.20 (KHTML, like Gecko) Dolfin/3.0 Mobile HVGA SMM-MMS/1.2.0 OPN-B' }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: Bada, version: '2.0' }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Wave Y' } }
    readable: 'Opera Mini 8.0 on a Samsung Wave Y running Bada 2.0'
-
    headers: { User-Agent: 'Opera/9.80 (Windows Mobile; Opera Mini/5.1.21594/37.6116; U; xx) Presto/2.12.423 Version/12.16', X-OperaMini-Phone: 'HTC # Touch Pro/T7272/TyTn III', X-OperaMini-Phone-UA: HTC_Touch_Pro_T7272 }
    result: { browser: { name: 'Opera Mini', version: '5.1', type: browser }, engine: { name: Presto, version: 2.12.423 }, os: { name: 'Windows Mobile' }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: 'Touch Pro' } }
    readable: 'Opera Mini 5.1 on a HTC Touch Pro running Windows Mobile'
-
    headers: { User-Agent: 'Opera/9.80 (J2ME/MIDP; Opera Mini/8.0.35626/35.6368; U; xx) Presto/2.8.119 Version/11.10', X-OperaMini-Phone: 'Samsung # GT-S8500', Device-Stock-UA: SAMSUNG-GT-S8500, X-OperaMini-Phone-UA: SAMSUNG-GT-S8500 }
    result: { browser: { name: 'Opera Mini', version: '8.0', type: browser }, engine: { name: Presto, version: 2.8.119 }, os: { name: Bada }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: Wave } }
    readable: 'Opera Mini 8.0 on a Samsung Wave running Bada'
-
    headers: 'User-Agent: Opera/8.01 (J2ME/MIDP; Opera Mini/1.1.7144/hifi/tmobile/at; Nokia 6085; de; U; ssr)'
    result: { browser: { name: 'Opera Mini', version: '1.1', type: browser }, engine: { name: Presto }, device: { type: mobile, subtype: feature, manufacturer: Nokia, model: '6085' } }
    readable: 'Opera Mini 1.1 on a Nokia 6085'
-
    headers: 'User-Agent: Opera/8.01 (J2ME/MIDP; Opera Mini/1.1.7231/hifi/tmobile/at; Motorola V3; de; U; ssr)'
    result: { browser: { name: 'Opera Mini', version: '1.1', type: browser }, engine: { name: Presto }, device: { type: mobile, subtype: feature, manufacturer: Motorola, model: V3 } }
    readable: 'Opera Mini 1.1 on a Motorola V3'
-
    headers: 'User-Agent: Opera/8.01 (J2ME/MIDP; Opera Mini/1.1.4948/hifi/tmobile/at; SonyEricsson K550i; de; U; ssr)'
    result: { browser: { name: 'Opera Mini', version: '1.1', type: browser }, engine: { name: Presto }, device: { type: mobile, subtype: feature, manufacturer: 'Sony Ericsson', model: K550i } }
    readable: 'Opera Mini 1.1 on a Sony Ericsson K550i'
-
    headers: 'User-Agent: Opera/8.01 (J2ME/MIDP; Opera Mini/1.1.5005/hifi/tmobile/at; Nokia 5300; de; U; ssr)'
    result: { browser: { name: 'Opera Mini', version: '1.1', type: browser }, engine: { name: Presto }, os: { name: Series40 }, device: { type: mobile, subtype: feature, manufacturer: Nokia, model: '5300 XpressMusic' } }
    readable: 'Opera Mini 1.1 on a Nokia 5300 XpressMusic running Series40'
-
    headers: 'User-Agent: Opera/8.01 (J2ME/MIDP; Opera Mini/1.1.3314/hifi/tmobile/cz; Siemens ME75; cs; U; ssr)'
    result: { browser: { name: 'Opera Mini', version: '1.1', type: browser }, engine: { name: Presto }, device: { type: mobile, subtype: feature, manufacturer: Siemens, model: ME75 } }
    readable: 'Opera Mini 1.1 on a Siemens ME75'
-
    headers: 'User-Agent: Opera/8.01 (J2ME/MIDP; Opera Mini/1.1.3003/hifi/tmobile-motorola/at; Motorola V3i; en; U; ssr)'
    result: { browser: { name: 'Opera Mini', version: '1.1', type: browser }, engine: { name: Presto }, device: { type: mobile, subtype: feature, manufacturer: Motorola, model: V3i } }
    readable: 'Opera Mini 1.1 on a Motorola V3i'
-
    headers: 'User-Agent: Mozilla/5.0 Opera/9.80 (KDDI-SN3U; BREW; Opera Mobi; U; ja) Presto/2.4.18 Version/10.00'
    result: { browser: { name: 'Opera Mobile', version: '10.00', type: browser }, engine: { name: Presto, version: 2.4.18 }, os: { name: Brew }, device: { type: mobile, subtype: feature, manufacturer: 'Sony Ericsson', model: S007, carrier: au } }
    readable: 'Opera Mobile 10.00 on a Sony Ericsson S007 running Brew'
-
    headers: 'User-Agent: Mozilla/5.0 Opera/9.5 (KDDI-TS3V; BREW; Opera Mobi; U; ja) Presto/2.4.15 Version/10.00'
    result: { browser: { name: 'Opera Mobile', version: '10.00', type: browser }, engine: { name: Presto, version: 2.4.15 }, os: { name: Brew }, device: { type: mobile, subtype: feature, manufacturer: Toshiba, model: T005, carrier: au } }
    readable: 'Opera Mobile 10.00 on a Toshiba T005 running Brew'
-
    headers: 'User-Agent: Mozilla/5.0 Opera/9.5 (KDDI-TS3P; BREW; Opera Mobi; U; ja) Presto/2.2.1'
    result: { browser: { name: 'Opera Mobile', version: '9.5', type: browser }, engine: { name: Presto, version: 2.2.1 }, os: { name: Brew }, device: { type: mobile, subtype: feature, manufacturer: Toshiba, model: T002, carrier: au } }
    readable: 'Opera Mobile 9.5 on a Toshiba T002 running Brew'
-
    headers: 'User-Agent: Mozilla/5.0 Opera/9.5 (KDDI-SN3O; BREW; Opera Mobi; U; ja) Presto/2.4.15 Version/10.00'
    result: { browser: { name: 'Opera Mobile', version: '10.00', type: browser }, engine: { name: Presto, version: 2.4.15 }, os: { name: Brew }, device: { type: mobile, subtype: feature, manufacturer: 'Sony Ericsson', model: S003, carrier: au } }
    readable: 'Opera Mobile 10.00 on a Sony Ericsson S003 running Brew'
-
    headers: 'User-Agent: Opera/9.51 Beta (Microsoft Windows; PPC; Opera Mobi/1718; U; en)'
    result: { browser: { name: 'Opera Mobile', version: '9.51', type: browser }, engine: { name: Presto }, os: { name: 'Windows Mobile' }, device: { type: mobile, subtype: smart } }
    readable: 'Opera Mobile 9.51 on Windows Mobile'
-
    headers: 'User-Agent: Opera/9.51 Beta (Microsoft Windows; PPC; 240x320; Opera Mobi/1718; U; en)'
    result: { browser: { name: 'Opera Mobile', version: '9.51', type: browser }, engine: { name: Presto }, os: { name: 'Windows Mobile' }, device: { type: mobile, subtype: smart } }
    readable: 'Opera Mobile 9.51 on Windows Mobile'
-
    headers: 'User-Agent: GT-C3595 Opera/9.80 (J2ME/MIDP; Opera Mini/7.1.33398/34.2003; U; xx) Presto/2.8.119 Version/11.10'
    readable: 'Opera Mini 7.1 on a Samsung GT-C3595'
    result: { browser: { name: 'Opera Mini', version: '7.1', type: browser }, engine: { name: Presto, version: 2.8.119 }, device: { type: mobile, subtype: feature, manufacturer: Samsung, model: GT-C3595 } }
-
    headers: 'User-Agent: GT-E3300 Opera/9.80 (J2ME/MIDP; Opera Mini/4.4.29644/35.6822; U; xx) Presto/2.8.119 Version/11.10'
    readable: 'Opera Mini 4.4 on a Samsung GT-E3300'
    result: { browser: { name: 'Opera Mini', version: '4.4', type: browser }, engine: { name: Presto, version: 2.8.119 }, device: { type: mobile, subtype: feature, manufacturer: Samsung, model: GT-E3300 } }
-
    headers: 'User-Agent: GT-E3309 Opera/9.80 (J2ME/MIDP; Opera Mini/4.4.29644/37.8773; U; es) Presto/2.12.423 Version/12.16'
    readable: 'Opera Mini 4.4 on a Samsung GT-E3309'
    result: { browser: { name: 'Opera Mini', version: '4.4', type: browser }, engine: { name: Presto, version: 2.12.423 }, device: { type: mobile, subtype: feature, manufacturer: Samsung, model: GT-E3309 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 9; SM-N950F Build/PPR1.180610.011) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/74.0.3729.157 Mobile Safari/537.36 OPT/1.17.66'
    readable: 'Opera Touch 1.17 on a Samsung Galaxy Note 8 running Android 9'
    result: { browser: { name: 'Opera Touch', family: { name: Chrome, version: 74 }, version: '1.17', type: browser }, engine: { name: Blink }, os: { name: Android, version: '9' }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy Note 8' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 8.1.0; Nokia 8 Sirocco Build/OPR1.170623.026) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/70.0.3538.80 Mobile Safari/537.36 OPT/1.11.42'
    readable: 'Opera Touch 1.11 on a Nokia 8 Sirocco running Android 8.1.0'
    result: { browser: { name: 'Opera Touch', family: { name: Chrome, version: 70 }, version: '1.11', type: browser }, engine: { name: Blink }, os: { name: Android, version: 8.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: '8 Sirocco' } }
-
    headers: 'User-Agent: Mozilla/5.0 (iPad; CPU OS 12_2 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) OPT/4'
    readable: 'Opera Touch on an Apple iPad running iOS 12.2'
    result: { browser: { name: 'Opera Touch', type: browser }, engine: { name: Webkit, version: 605.1.15 }, os: { name: iOS, version: '12.2' }, device: { type: tablet, manufacturer: Apple, model: iPad } }
-
    headers: 'User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 12_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) OPT/4 Mobile/15E148'
    readable: 'Opera Touch on an Apple iPhone running iOS 12.3'
    result: { browser: { name: 'Opera Touch', type: browser }, engine: { name: Webkit, version: 605.1.15 }, os: { name: iOS, version: '12.3' }, device: { type: mobile, subtype: smart, manufacturer: Apple, model: iPhone } }
-
    headers: 'User-Agent: Mozilla/5.0 (iPad; CPU OS 12_1_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) OPT/2 Mobile/16C50'
    readable: 'Opera Touch on an Apple iPad running iOS 12.1.1'
    result: { browser: { name: 'Opera Touch', type: browser }, engine: { name: Webkit, version: 605.1.15 }, os: { name: iOS, version: 12.1.1 }, device: { type: tablet, manufacturer: Apple, model: iPad } }
-
    headers: 'User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 11_4_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) OPT/74 Mobile/15G77'
    readable: 'Opera Touch on an Apple iPhone running iOS 11.4.1'
    result: { browser: { name: 'Opera Touch', type: browser }, engine: { name: Webkit, version: 605.1.15 }, os: { name: iOS, version: 11.4.1 }, device: { type: mobile, subtype: smart, manufacturer: Apple, model: iPhone } }
